/api/v1/squads/{squadId}/agents/{agentId} (DELETE)
const url = 'https://api.endless.zaia.app/api/v1/squads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.endless.zaia.app/api/v1/squads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Detaches an agent from a squad.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”The squad agent relationship was removed.
object
An informative message for a call that has no effective result to be returned.
Examplegenerated
{ "message": "example"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Squad agent relationship not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Precondition failed.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}